> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Legal hold policies resources

A legal hold is a process that an enterprise can use to preserve all forms of potentially relevant information when litigation is pending or reasonably anticipated.

## Legal hold policies

A list of legal hold policies.

<Accordion title="Attributes and example">
  | Property      | Type                                             | Required | Description                                                                                                                                                                            |
  | ------------- | ------------------------------------------------ | -------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
  | `limit`       | `integer`                                        | No       | The limit that was used for these entries. This will be the same as the `limit` query parameter unless that value exceeded the maximum value allowed. The maximum value varies by API. |
  | `next_marker` | `string`                                         | No       | The marker for the start of the next page of results. Can be `null`.                                                                                                                   |
  | `prev_marker` | `string`                                         | No       | The marker for the start of the previous page of results. Can be `null`.                                                                                                               |
  | `entries`     | array of [Legal hold policy](#legal-hold-policy) | No       | A list of legal hold policies.                                                                                                                                                         |

  ```json Example theme={null}
  {
    "limit": 1000,
    "next_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii",
    "prev_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVih",
    "entries": [
      {
        "id": "11446498",
        "type": "legal_hold_policy",
        "policy_name": "Policy 4",
        "description": "Postman created policy",
        "status": "active",
        "assignment_counts": {
          "user": 1,
          "folder": 2,
          "file": 3,
          "file_version": 4,
          "ownership": 5,
          "interactions": 6
        },
        "created_by": {
          "id": "11446498",
          "type": "user",
          "name": "Aaron Levie",
          "login": "ceo@example.com"
        },
        "created_at": "2012-12-12T10:53:43-08:00",
        "modified_at": "2012-12-12T10:53:43-08:00",
        "deleted_at": "2012-12-12T10:53:43-08:00",
        "filter_started_at": "2012-12-12T10:53:43-08:00",
        "filter_ended_at": "2012-12-12T10:53:43-08:00",
        "release_notes": "Example"
      }
    ]
  }
  ```
</Accordion>

## Legal hold policy

Legal Hold Policy information describes the basic characteristics of the Policy, such as name, description, and filter dates.

<Accordion title="Attributes and example">
  | Property            | Type                                                | Required | Description                                                                                                                                                                                                                                                                                                                      |
  | ------------------- | --------------------------------------------------- | -------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
  | `id`                | `string`                                            | Yes      | The unique identifier for this legal hold policy.                                                                                                                                                                                                                                                                                |
  | `type`              | `enum<string>`                                      | Yes      | The value will always be `legal_hold_policy`. Available options: `legal_hold_policy`.                                                                                                                                                                                                                                            |
  | `policy_name`       | `string`                                            | No       | Name of the legal hold policy.                                                                                                                                                                                                                                                                                                   |
  | `description`       | `string`                                            | No       | Description of the legal hold policy. Optional property with a 500 character limit.                                                                                                                                                                                                                                              |
  | `status`            | `enum<string>`                                      | No       | Possible values: - 'active' - the policy is not in a transition state. - 'applying' - that the policy is in the process of being applied. - 'releasing' - that the process is in the process of being released. - 'released' - the policy is no longer active. Available options: `active`, `applying`, `releasing`, `released`. |
  | `assignment_counts` | `object`                                            | No       | Counts of assignments within a legal hold policy by item type.                                                                                                                                                                                                                                                                   |
  | `created_by`        | [User (Mini)](/reference/users-resources#user-mini) | No       | The user who created the legal hold policy object.                                                                                                                                                                                                                                                                               |
  | `created_at`        | `string`                                            | No       | When the legal hold policy object was created.                                                                                                                                                                                                                                                                                   |
  | `modified_at`       | `string`                                            | No       | When the legal hold policy object was modified. Does not update when assignments are added or removed.                                                                                                                                                                                                                           |
  | `deleted_at`        | `string`                                            | No       | When the policy release request was sent. (Because it can take time for a policy to fully delete, this isn't quite the same time that the policy is fully deleted). If `null`, the policy was not deleted.                                                                                                                       |
  | `filter_started_at` | `string`                                            | No       | User-specified, optional date filter applies to Custodian assignments only.                                                                                                                                                                                                                                                      |
  | `filter_ended_at`   | `string`                                            | No       | User-specified, optional date filter applies to Custodian assignments only.                                                                                                                                                                                                                                                      |
  | `release_notes`     | `string`                                            | No       | Optional notes about why the policy was created.                                                                                                                                                                                                                                                                                 |

  ```json Example theme={null}
  {
    "id": "11446498",
    "type": "legal_hold_policy",
    "policy_name": "Policy 4",
    "description": "Postman created policy",
    "status": "active",
    "assignment_counts": {
      "user": 1,
      "folder": 2,
      "file": 3,
      "file_version": 4,
      "ownership": 5,
      "interactions": 6
    },
    "created_by": {
      "id": "11446498",
      "type": "user",
      "name": "Aaron Levie",
      "login": "ceo@example.com"
    },
    "created_at": "2012-12-12T10:53:43-08:00",
    "modified_at": "2012-12-12T10:53:43-08:00",
    "deleted_at": "2012-12-12T10:53:43-08:00",
    "filter_started_at": "2012-12-12T10:53:43-08:00",
    "filter_ended_at": "2012-12-12T10:53:43-08:00",
    "release_notes": "Example"
  }
  ```
</Accordion>

## Legal hold policy (Mini)

A mini legal hold policy.

<Accordion title="Attributes and example">
  | Property | Type           | Required | Description                                                                           |
  | -------- | -------------- | -------- | ------------------------------------------------------------------------------------- |
  | `id`     | `string`       | Yes      | The unique identifier for this legal hold policy.                                     |
  | `type`   | `enum<string>` | Yes      | The value will always be `legal_hold_policy`. Available options: `legal_hold_policy`. |

  ```json Example theme={null}
  {
    "id": "11446498",
    "type": "legal_hold_policy"
  }
  ```
</Accordion>
